### Function

# GLib bit_nth_msf

#### Declaration

    gint
    g_bit_nth_msf (
      gulong mask,
      gint nth_bit
    )

#### Description

Find the position of the first bit set in `mask`, searching from (but not including) `nth_bit` downwards. Bits are numbered from 0 (least significant) to sizeof(#gulong) * 8 - 1 (31 or 63, usually). To start searching from the last bit, set `nth_bit` to -1 or GLIB_SIZEOF_LONG * 8.

#### Parameters

`mask`

  Type: `gulong`

  A #gulong containing flags.

`nth_bit`

  Type: `gint`

  The index of the bit to start the search from.

#### Return value

Type: `gint`

The index of the first bit set which is lower than `nth_bit`, or -1 if no lower bits are set.